------------------------------------------------------------
-- VHDL FPGAMFO2
-- 2016 7 26 16 50 21
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.16.63332
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAMFO2
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGAMFO2 Is
  port
  (
    X_1PPS_LONG   : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_LONG
    X_1PPS_PARITY : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_PARITY
    X_1PPSOUT     : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPSOUT
    A             : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=A[31..0]
    ADDR          : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=ADDR[31..0]
    B             : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=B[31..0]
    CLK           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK
    CNT           : Out   STD_LOGIC_VECTOR(25 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=CNT[25..0]
    CNTROUT       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CNTROUT
    CRCERR        : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=CRCERR[7..0]
    DAC_SCLK      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=DAC_SCLK
    DAC_SO        : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=DAC_SO
    DAC_SYNC      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=DAC_SYNC
    ERRC          : Out   STD_LOGIC_VECTOR(3 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=ERRC[3..0]
    GPS           : In    STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=GPS[31..0]
    GPSRCV        : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=GPSRCV[31..0]
    LED           : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LED
    LED_OCXO      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LED_OCXO
    LEDSYNC       : In    STD_LOGIC_VECTOR(3 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=LEDSYNC[3..0]
    LOS           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LOS
    OCXO_CLK      : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=OCXO_CLK
    OCXO_CTRL     : Out   STD_LOGIC_VECTOR(15 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=OCXO_CTRL[15..0]
    OCXO_ERR      : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=OCXO_ERR[31..0]
    OCXO_LOCKED   : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=OCXO_LOCKED
    OCXO_PRESENT  : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=OCXO_PRESENT
    REF1PPS       : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=REF1PPS
    RST           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RST
    STAT          : In    STD_LOGIC_VECTOR(1023 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=STAT[1023..0]
    SYNCOUT       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SYNCOUT
    UP            : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=UP
    UP1PPS        : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=UP1PPS[31..0]
    VCO_SYNC      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=VCO_SYNC
    VCO_SYNCIN    : In    STD_LOGIC                          -- ObjectKind=Port|PrimaryId=VCO_SYNCIN
  );
  attribute MacroCell : boolean;

End FPGAMFO2;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAMFO2 Is
   Component ADD32B                                          -- ObjectKind=Part|PrimaryId=U63|SecondaryId=1
      port
      (
        A   : in  STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Pin|PrimaryId=U63-A[31..0]
        B   : in  STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Pin|PrimaryId=U63-B[31..0]
        CI  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U63-CI
        CO  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U63-CO
        OFL : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U63-OFL
        S   : out STD_LOGIC_VECTOR(31 downto 0)              -- ObjectKind=Pin|PrimaryId=U63-S[31..0]
      );
   End Component;

   Component AND2S                                           -- ObjectKind=Part|PrimaryId=U67|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U67-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U67-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U67-O
      );
   End Component;

   Component AND8B                                           -- ObjectKind=Part|PrimaryId=U65|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U65-I[7..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U65-O
      );
   End Component;

   Component AND12B                                          -- ObjectKind=Part|PrimaryId=U69|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(11 downto 0);               -- ObjectKind=Pin|PrimaryId=U69-I[11..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U69-O
      );
   End Component;

   Component CB4REB                                          -- ObjectKind=Part|PrimaryId=U75|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-CEO
        Q   : out STD_LOGIC_VECTOR(3 downto 0);              -- ObjectKind=Pin|PrimaryId=U75-Q[3..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U75-TC
      );
   End Component;

   Component Configurable_U79                                -- ObjectKind=Part|PrimaryId=U79|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(3 downto 0);               -- ObjectKind=Pin|PrimaryId=U79-I[3..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U79-O0
        O1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U79-O1
        O2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U79-O2
        O3 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U79-O3
      );
   End Component;

   Component Configurable_U80                                -- ObjectKind=Part|PrimaryId=U80|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(3 downto 0);               -- ObjectKind=Pin|PrimaryId=U80-I[3..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U80-O0
        O1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U80-O1
        O2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U80-O2
        O3 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U80-O3
      );
   End Component;

   Component Configurable_U_OCXO                             -- ObjectKind=Part|PrimaryId=U_OCXO|SecondaryId=1
      port
      (
        ADD  : in  STD_LOGIC_VECTOR(31 downto 0);            -- ObjectKind=Pin|PrimaryId=U_OCXO-ADD[31..0]
        CTRL : in  STD_LOGIC_VECTOR(15 downto 0);            -- ObjectKind=Pin|PrimaryId=U_OCXO-CTRL[15..0]
        ERR  : in  STD_LOGIC_VECTOR(31 downto 0);            -- ObjectKind=Pin|PrimaryId=U_OCXO-ERR[31..0]
        LDZ  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=U_OCXO-LDZ
        OFS  : out STD_LOGIC_VECTOR(31 downto 0);            -- ObjectKind=Pin|PrimaryId=U_OCXO-OFS[31..0]
        OVR  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=U_OCXO-OVR
        STEP : out STD_LOGIC                                 -- ObjectKind=Pin|PrimaryId=U_OCXO-STEP
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U78|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U78-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U78-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U78-Q
      );
   End Component;

   Component FD16B                                           -- ObjectKind=Part|PrimaryId=U76|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U76-C
        D : in  STD_LOGIC_VECTOR(15 downto 0);               -- ObjectKind=Pin|PrimaryId=U76-D[15..0]
        Q : out STD_LOGIC_VECTOR(15 downto 0)                -- ObjectKind=Pin|PrimaryId=U76-Q[15..0]
      );
   End Component;

   Component FDEN                                            -- ObjectKind=Part|PrimaryId=U71|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U71-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U71-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U71-D
        Q  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U71-Q
        QN : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U71-QN
      );
   End Component;

   Component FPGAMFO1                                        -- ObjectKind=Sheet Symbol|PrimaryId=U_FPGAMFO1
      port
      (
        X_1PPS_LONG   : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-1PPS_LONG
        X_1PPS_PARITY : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-1PPS_PARITY
        X_1PPSIN      : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-1PPSIN
        X_1PPSOUT     : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-1PPSOUT
        A             : out STD_LOGIC_VECTOR(31 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-A[31..0]
        ADDR          : out STD_LOGIC_VECTOR(31 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-ADDR[31..0]
        B             : out STD_LOGIC_VECTOR(31 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-B[31..0]
        CLK           : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-CLK
        CNT           : out STD_LOGIC_VECTOR(25 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-CNT[25..0]
        CNTROUT       : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-CNTROUT
        CRCERR        : out STD_LOGIC_VECTOR(7 downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-CRCERR[7..0]
        ERRC          : out STD_LOGIC_VECTOR(3 downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-ERRC[3..0]
        GPSRCV        : out STD_LOGIC_VECTOR(31 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-GPSRCV[31..0]
        LDZ           : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-LDZ
        LOS           : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-LOS
        OCXO_CLK      : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-OCXO_CLK
        OCXO_PRESENT  : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-OCXO_PRESENT
        RST           : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-RST
        STAT          : in  STD_LOGIC_VECTOR(1023 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-STAT[1023..0]
        SYNCOUT       : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-SYNCOUT
        UP            : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-UP
        VCO_SYNC      : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-VCO_SYNC
        VCO_SYNCIN    : in  STD_LOGIC                        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-VCO_SYNCIN
      );
   End Component;

   Component FPGAMFO3                                        -- ObjectKind=Sheet Symbol|PrimaryId=PLL Filter
      port
      (
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO3.SchDoc-CLK
        CLK1PPS   : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO3.SchDoc-CLK1PPS
        ERR_IN    : in  STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO3.SchDoc-ERR_IN[31..0]
        OCXO_CTRL : out STD_LOGIC_VECTOR(15 downto 0)        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO3.SchDoc-OCXO_CTRL[15..0]
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U31|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U31-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U31-O
      );
   End Component;

   Component M1_S4S1                                         -- ObjectKind=Part|PrimaryId=U38|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U38-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U38-D1
        D2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U38-D2
        D3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U38-D3
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U38-O
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U38-S0
        S1 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U38-S1
      );
   End Component;

   Component M32_B2B1                                        -- ObjectKind=Part|PrimaryId=U64|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(31 downto 0);              -- ObjectKind=Pin|PrimaryId=U64-A[31..0]
        B  : in  STD_LOGIC_VECTOR(31 downto 0);              -- ObjectKind=Pin|PrimaryId=U64-B[31..0]
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U64-S0
        Y  : out STD_LOGIC_VECTOR(31 downto 0)               -- ObjectKind=Pin|PrimaryId=U64-Y[31..0]
      );
   End Component;

   Component NOR2S                                           -- ObjectKind=Part|PrimaryId=U70|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U70-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U70-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U70-O
      );
   End Component;

   Component NOR8B                                           -- ObjectKind=Part|PrimaryId=U74|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U74-I[7..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U74-O
      );
   End Component;

   Component NOR12B                                          -- ObjectKind=Part|PrimaryId=U72|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(11 downto 0);               -- ObjectKind=Pin|PrimaryId=U72-I[11..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U72-O
      );
   End Component;

   Component OnePPSCounter                                   -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifferance1
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT : out STD_LOGIC_VECTOR(31 downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID : out STD_LOGIC                                -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );
   End Component;

   Component OR2S                                            -- ObjectKind=Part|PrimaryId=U68|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U68-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U68-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U68-O
      );
   End Component;

   Component SR32RLEB                                        -- ObjectKind=Part|PrimaryId=U77|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-CE
        D   : in  STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Pin|PrimaryId=U77-D[31..0]
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-L
        Q   : out STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Pin|PrimaryId=U77-Q[31..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-R
        SLI : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U77-SLI
      );
   End Component;


    Signal NamedSignal_1PPSIN                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSIN
    Signal NamedSignal_1PPSOUT               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSOUT
    Signal NamedSignal_BIT_CLK               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT16
    Signal NamedSignal_CLK                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CNT                   : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_D                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=D[23..0]
    Signal NamedSignal_DAC_SO                : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DAC_SO[31..0]
    Signal NamedSignal_GND1_BUS              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    Signal NamedSignal_GND2_BUS              : STD_LOGIC_VECTOR(31 downto 24); -- ObjectKind=Net|PrimaryId=D[31..24]
    Signal NamedSignal_GND3_BUS              : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=D[7..0]
    Signal NamedSignal_LDZ                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LDZ
    Signal NamedSignal_LOS                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LOS
    Signal NamedSignal_NOVR                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NOVR
    Signal NamedSignal_OCXO_ADD              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_ADD[31..0]
    Signal NamedSignal_OCXO_CTRL             : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_CTRL[15..0]
    Signal NamedSignal_OCXO_ERR              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_ERR[31..0]
    Signal NamedSignal_OCXO_LOCKED           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OCXO_LOCKED
    Signal NamedSignal_OCXO_OFS              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_OFS[31..0]
    Signal NamedSignal_OCXO_PRESENT          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OCXO_PRESENT
    Signal NamedSignal_OCXO_STEP             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OCXO_STEP
    Signal NamedSignal_OVR                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OVR
    Signal NamedSignal_REF1PPS               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=REF1PPS
    Signal NamedSignal_SCLK                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SCLK
    Signal NamedSignal_SYNC_CLK              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT22
    Signal NamedSignal_UP                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP
    Signal NamedSignal_VALID                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VALID
    Signal PinSignal_PLL_Filter_OCXO_CTRL    : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_CTRL[15..0]
    Signal PinSignal_TimeDifferance1_COUNT   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_ERR[31..0]
    Signal PinSignal_TimeDifferance1_VALID   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VALID
    Signal PinSignal_TimeDifferance4_COUNT   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=UP1PPS[31..0]
    Signal PinSignal_TimeDifferance4_VALID   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IP1PPS_VALID
    Signal PinSignal_U_FPGAMFO1_1PPS_LONG    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS_LONG
    Signal PinSignal_U_FPGAMFO1_1PPS_PARITY  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    Signal PinSignal_U_FPGAMFO1_1PPSIN       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSIN
    Signal PinSignal_U_FPGAMFO1_1PPSOUT      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSOUT
    Signal PinSignal_U_FPGAMFO1_A            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=A[31..0]
    Signal PinSignal_U_FPGAMFO1_ADDR         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    Signal PinSignal_U_FPGAMFO1_B            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=B[31..0]
    Signal PinSignal_U_FPGAMFO1_CNT          : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal PinSignal_U_FPGAMFO1_CNTROUT      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNTROUT
    Signal PinSignal_U_FPGAMFO1_CRCERR       : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    Signal PinSignal_U_FPGAMFO1_ERRC         : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=ERRC[3..0]
    Signal PinSignal_U_FPGAMFO1_GPSRCV       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GPSRCV[31..0]
    Signal PinSignal_U_FPGAMFO1_OCXO_PRESENT : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OCXO_PRESENT
    Signal PinSignal_U_FPGAMFO1_SYNCOUT      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCOUT
    Signal PinSignal_U_FPGAMFO1_UP           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP
    Signal PinSignal_U_FPGAMFO1_VCO_SYNC     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCO_SYNC
    Signal PinSignal_U_OCXO_OFS              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_OFS[31..0]
    Signal PinSignal_U_OCXO_STEP             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OCXO_STEP
    Signal PinSignal_U219_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OCXO_LOCKED
    Signal PinSignal_U31_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU31_O
    Signal PinSignal_U38_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU38_O
    Signal PinSignal_U63_S                   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU63_S[31..0]
    Signal PinSignal_U64_Y                   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_ADD[31..0]
    Signal PinSignal_U65_I                   : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_ERR[19..0]
    Signal PinSignal_U65_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU65_O
    Signal PinSignal_U66_Y                   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU66_Y[31..0]
    Signal PinSignal_U67_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU67_O
    Signal PinSignal_U68_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU68_O
    Signal PinSignal_U69_I                   : STD_LOGIC_VECTOR(11 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_ERR[31..0]
    Signal PinSignal_U69_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU67_I1
    Signal PinSignal_U70_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU70_O
    Signal PinSignal_U71_Q                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OVR
    Signal PinSignal_U71_QN                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NOVR
    Signal PinSignal_U72_I                   : STD_LOGIC_VECTOR(11 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_ERR[31..0]
    Signal PinSignal_U72_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU70_I1
    Signal PinSignal_U73_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU68_I1
    Signal PinSignal_U74_I                   : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=OCXO_ERR[19..0]
    Signal PinSignal_U74_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU73_I1
    Signal PinSignal_U75_TC                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LDZ
    Signal PinSignal_U76_Q                   : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=D[23..0]
    Signal PinSignal_U77_Q                   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DAC_SO[31..0]
    Signal PinSignal_U78_Q                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU77_L
    Signal PinSignal_U79_O0                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU38_D0
    Signal PinSignal_U79_O1                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU38_D1
    Signal PinSignal_U79_O2                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU38_D2
    Signal PinSignal_U79_O3                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU38_D3
    Signal PinSignal_U80_O0                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU80_O0
    Signal PinSignal_U80_O1                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU80_O1
    Signal PinSignal_U80_O2                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU80_O2
    Signal PinSignal_U80_O3                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU80_O3
    Signal PinSignal_U82_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SCLK
    Signal PinSignal_U83_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU83_O
    Signal PowerSignal_GND                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U_FPGAMFO1 : FPGAMFO1                                    -- ObjectKind=Sheet Symbol|PrimaryId=U_FPGAMFO1
      Port Map
      (
        X_1PPS_LONG   => PinSignal_U_FPGAMFO1_1PPS_LONG,     -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-1PPS_LONG
        X_1PPS_PARITY => PinSignal_U_FPGAMFO1_1PPS_PARITY,   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-1PPS_PARITY
        X_1PPSIN      => PinSignal_U_FPGAMFO1_1PPSIN,        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-1PPSIN
        X_1PPSOUT     => PinSignal_U_FPGAMFO1_1PPSOUT,       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-1PPSOUT
        A             => PinSignal_U_FPGAMFO1_A,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-A[31..0]
        ADDR          => PinSignal_U_FPGAMFO1_ADDR,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-ADDR[31..0]
        B             => PinSignal_U_FPGAMFO1_B,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-B[31..0]
        CLK           => CLK,                                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-CLK
        CNT           => PinSignal_U_FPGAMFO1_CNT,           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-CNT[25..0]
        CNTROUT       => PinSignal_U_FPGAMFO1_CNTROUT,       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-CNTROUT
        CRCERR        => PinSignal_U_FPGAMFO1_CRCERR,        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-CRCERR[7..0]
        ERRC          => PinSignal_U_FPGAMFO1_ERRC,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-ERRC[3..0]
        GPSRCV        => PinSignal_U_FPGAMFO1_GPSRCV,        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-GPSRCV[31..0]
        LDZ           => NamedSignal_LDZ,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-LDZ
        LOS           => NamedSignal_LOS,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-LOS
        OCXO_CLK      => OCXO_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-OCXO_CLK
        OCXO_PRESENT  => PinSignal_U_FPGAMFO1_OCXO_PRESENT,  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-OCXO_PRESENT
        RST           => RST,                                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-RST
        STAT          => STAT,                               -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-STAT[1023..0]
        SYNCOUT       => PinSignal_U_FPGAMFO1_SYNCOUT,       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-SYNCOUT
        UP            => PinSignal_U_FPGAMFO1_UP,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-UP
        VCO_SYNC      => PinSignal_U_FPGAMFO1_VCO_SYNC,      -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-VCO_SYNC
        VCO_SYNCIN    => VCO_SYNCIN                          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO1.SchDoc-VCO_SYNCIN
      );

    TimeDifferance4 : OnePPSCounter                          -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifferance4
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifferance4_COUNT,            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => NamedSignal_1PPSOUT,                        -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => NamedSignal_1PPSIN,                         -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID => PinSignal_TimeDifferance4_VALID             -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );

    TimeDifferance1 : OnePPSCounter                          -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifferance1
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifferance1_COUNT,            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => NamedSignal_1PPSOUT,                        -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => NamedSignal_REF1PPS,                        -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID => PinSignal_TimeDifferance1_VALID             -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );

    PLL_Filter : FPGAMFO3                                    -- ObjectKind=Sheet Symbol|PrimaryId=PLL Filter
      Port Map
      (
        CLK       => NamedSignal_CNT(17),                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO3.SchDoc-CLK
        CLK1PPS   => NamedSignal_1PPSOUT,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO3.SchDoc-CLK1PPS
        ERR_IN    => PinSignal_U66_Y,                        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO3.SchDoc-ERR_IN[31..0]
        OCXO_CTRL => PinSignal_PLL_Filter_OCXO_CTRL          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO3.SchDoc-OCXO_CTRL[15..0]
      );

    U_OCXO : Configurable_U_OCXO                             -- ObjectKind=Part|PrimaryId=U_OCXO|SecondaryId=1
      Port Map
      (
        ADD  => NamedSignal_OCXO_ADD,                        -- ObjectKind=Pin|PrimaryId=U_OCXO-ADD[31..0]
        CTRL => NamedSignal_OCXO_CTRL,                       -- ObjectKind=Pin|PrimaryId=U_OCXO-CTRL[15..0]
        ERR  => NamedSignal_OCXO_ERR,                        -- ObjectKind=Pin|PrimaryId=U_OCXO-ERR[31..0]
        LDZ  => NamedSignal_LDZ,                             -- ObjectKind=Pin|PrimaryId=U_OCXO-LDZ
        OFS  => PinSignal_U_OCXO_OFS,                        -- ObjectKind=Pin|PrimaryId=U_OCXO-OFS[31..0]
        OVR  => NamedSignal_OVR,                             -- ObjectKind=Pin|PrimaryId=U_OCXO-OVR
        STEP => PinSignal_U_OCXO_STEP                        -- ObjectKind=Pin|PrimaryId=U_OCXO-STEP
      );

    U219 : FD                                                -- ObjectKind=Part|PrimaryId=U219|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U219-C
        D => PinSignal_U68_O,                                -- ObjectKind=Pin|PrimaryId=U219-D
        Q => PinSignal_U219_Q                                -- ObjectKind=Pin|PrimaryId=U219-Q
      );

    U83 : M1_S4S1                                            -- ObjectKind=Part|PrimaryId=U83|SecondaryId=1
      Port Map
      (
        D0 => PinSignal_U80_O0,                              -- ObjectKind=Pin|PrimaryId=U83-D0
        D1 => PinSignal_U80_O1,                              -- ObjectKind=Pin|PrimaryId=U83-D1
        D2 => PinSignal_U80_O2,                              -- ObjectKind=Pin|PrimaryId=U83-D2
        D3 => PinSignal_U80_O3,                              -- ObjectKind=Pin|PrimaryId=U83-D3
        O  => PinSignal_U83_O,                               -- ObjectKind=Pin|PrimaryId=U83-O
        S0 => NamedSignal_OCXO_LOCKED,                       -- ObjectKind=Pin|PrimaryId=U83-S0
        S1 => NamedSignal_OCXO_PRESENT                       -- ObjectKind=Pin|PrimaryId=U83-S1
      );

    U82 : INV                                                -- ObjectKind=Part|PrimaryId=U82|SecondaryId=1
      Port Map
      (
        I => NamedSignal_BIT_CLK,                            -- ObjectKind=Pin|PrimaryId=U82-I
        O => PinSignal_U82_O                                 -- ObjectKind=Pin|PrimaryId=U82-O
      );

    U80 : Configurable_U80                                   -- ObjectKind=Part|PrimaryId=U80|SecondaryId=1
      Port Map
      (
        I  => LEDSYNC,                                       -- ObjectKind=Pin|PrimaryId=U80-I[3..0]
        O0 => PinSignal_U80_O0,                              -- ObjectKind=Pin|PrimaryId=U80-O0
        O1 => PinSignal_U80_O1,                              -- ObjectKind=Pin|PrimaryId=U80-O1
        O2 => PinSignal_U80_O2,                              -- ObjectKind=Pin|PrimaryId=U80-O2
        O3 => PinSignal_U80_O3                               -- ObjectKind=Pin|PrimaryId=U80-O3
      );

    U79 : Configurable_U79                                   -- ObjectKind=Part|PrimaryId=U79|SecondaryId=1
      Port Map
      (
        I  => LEDSYNC,                                       -- ObjectKind=Pin|PrimaryId=U79-I[3..0]
        O0 => PinSignal_U79_O0,                              -- ObjectKind=Pin|PrimaryId=U79-O0
        O1 => PinSignal_U79_O1,                              -- ObjectKind=Pin|PrimaryId=U79-O1
        O2 => PinSignal_U79_O2,                              -- ObjectKind=Pin|PrimaryId=U79-O2
        O3 => PinSignal_U79_O3                               -- ObjectKind=Pin|PrimaryId=U79-O3
      );

    U78 : FD                                                 -- ObjectKind=Part|PrimaryId=U78|SecondaryId=1
      Port Map
      (
        C => NamedSignal_BIT_CLK,                            -- ObjectKind=Pin|PrimaryId=U78-C
        D => NamedSignal_SYNC_CLK,                           -- ObjectKind=Pin|PrimaryId=U78-D
        Q => PinSignal_U78_Q                                 -- ObjectKind=Pin|PrimaryId=U78-Q
      );

    U77 : SR32RLEB                                           -- ObjectKind=Part|PrimaryId=U77|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_SCLK,                             -- ObjectKind=Pin|PrimaryId=U77-C
        CE  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U77-CE
        D   => NamedSignal_D,                                -- ObjectKind=Pin|PrimaryId=U77-D[31..0]
        L   => PinSignal_U78_Q,                              -- ObjectKind=Pin|PrimaryId=U77-L
        Q   => PinSignal_U77_Q,                              -- ObjectKind=Pin|PrimaryId=U77-Q[31..0]
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U77-R
        SLI => PowerSignal_GND                               -- ObjectKind=Pin|PrimaryId=U77-SLI
      );

    U76 : FD16B                                              -- ObjectKind=Part|PrimaryId=U76|SecondaryId=1
      Port Map
      (
        C => NamedSignal_BIT_CLK,                            -- ObjectKind=Pin|PrimaryId=U76-C
        D => NamedSignal_OCXO_CTRL,                          -- ObjectKind=Pin|PrimaryId=U76-D[15..0]
        Q => PinSignal_U76_Q                                 -- ObjectKind=Pin|PrimaryId=U76-Q[15..0]
      );

    U75 : CB4REB                                             -- ObjectKind=Part|PrimaryId=U75|SecondaryId=1
      Port Map
      (
        C  => REF1PPS,                                       -- ObjectKind=Pin|PrimaryId=U75-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U75-CE
        R  => NamedSignal_NOVR,                              -- ObjectKind=Pin|PrimaryId=U75-R
        TC => PinSignal_U75_TC                               -- ObjectKind=Pin|PrimaryId=U75-TC
      );

    U74 : NOR8B                                              -- ObjectKind=Part|PrimaryId=U74|SecondaryId=1
      Port Map
      (
        I => PinSignal_U74_I,                                -- ObjectKind=Pin|PrimaryId=U74-I[7..0]
        O => PinSignal_U74_O                                 -- ObjectKind=Pin|PrimaryId=U74-O
      );

    U73 : AND2S                                              -- ObjectKind=Part|PrimaryId=U73|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U72_O,                               -- ObjectKind=Pin|PrimaryId=U73-I0
        I1 => PinSignal_U74_O,                               -- ObjectKind=Pin|PrimaryId=U73-I1
        O  => PinSignal_U73_O                                -- ObjectKind=Pin|PrimaryId=U73-O
      );

    U72 : NOR12B                                             -- ObjectKind=Part|PrimaryId=U72|SecondaryId=1
      Port Map
      (
        I => PinSignal_U72_I,                                -- ObjectKind=Pin|PrimaryId=U72-I[11..0]
        O => PinSignal_U72_O                                 -- ObjectKind=Pin|PrimaryId=U72-O
      );

    U71 : FDEN                                               -- ObjectKind=Part|PrimaryId=U71|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U71-C
        CE => NamedSignal_VALID,                             -- ObjectKind=Pin|PrimaryId=U71-CE
        D  => PinSignal_U70_O,                               -- ObjectKind=Pin|PrimaryId=U71-D
        Q  => PinSignal_U71_Q,                               -- ObjectKind=Pin|PrimaryId=U71-Q
        QN => PinSignal_U71_QN                               -- ObjectKind=Pin|PrimaryId=U71-QN
      );

    U70 : NOR2S                                              -- ObjectKind=Part|PrimaryId=U70|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U69_O,                               -- ObjectKind=Pin|PrimaryId=U70-I0
        I1 => PinSignal_U72_O,                               -- ObjectKind=Pin|PrimaryId=U70-I1
        O  => PinSignal_U70_O                                -- ObjectKind=Pin|PrimaryId=U70-O
      );

    U69 : AND12B                                             -- ObjectKind=Part|PrimaryId=U69|SecondaryId=1
      Port Map
      (
        I => PinSignal_U69_I,                                -- ObjectKind=Pin|PrimaryId=U69-I[11..0]
        O => PinSignal_U69_O                                 -- ObjectKind=Pin|PrimaryId=U69-O
      );

    U68 : OR2S                                               -- ObjectKind=Part|PrimaryId=U68|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U67_O,                               -- ObjectKind=Pin|PrimaryId=U68-I0
        I1 => PinSignal_U73_O,                               -- ObjectKind=Pin|PrimaryId=U68-I1
        O  => PinSignal_U68_O                                -- ObjectKind=Pin|PrimaryId=U68-O
      );

    U67 : AND2S                                              -- ObjectKind=Part|PrimaryId=U67|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U65_O,                               -- ObjectKind=Pin|PrimaryId=U67-I0
        I1 => PinSignal_U69_O,                               -- ObjectKind=Pin|PrimaryId=U67-I1
        O  => PinSignal_U67_O                                -- ObjectKind=Pin|PrimaryId=U67-O
      );

    U66 : M32_B2B1                                           -- ObjectKind=Part|PrimaryId=U66|SecondaryId=1
      Port Map
      (
        A  => NamedSignal_OCXO_ADD,                          -- ObjectKind=Pin|PrimaryId=U66-A[31..0]
        B  => NamedSignal_GND1_BUS,                          -- ObjectKind=Pin|PrimaryId=U66-B[31..0]
        S0 => NamedSignal_OVR,                               -- ObjectKind=Pin|PrimaryId=U66-S0
        Y  => PinSignal_U66_Y                                -- ObjectKind=Pin|PrimaryId=U66-Y[31..0]
      );

    U65 : AND8B                                              -- ObjectKind=Part|PrimaryId=U65|SecondaryId=1
      Port Map
      (
        I => PinSignal_U65_I,                                -- ObjectKind=Pin|PrimaryId=U65-I[7..0]
        O => PinSignal_U65_O                                 -- ObjectKind=Pin|PrimaryId=U65-O
      );

    U64 : M32_B2B1                                           -- ObjectKind=Part|PrimaryId=U64|SecondaryId=1
      Port Map
      (
        A  => NamedSignal_OCXO_ERR,                          -- ObjectKind=Pin|PrimaryId=U64-A[31..0]
        B  => PinSignal_U63_S,                               -- ObjectKind=Pin|PrimaryId=U64-B[31..0]
        S0 => NamedSignal_OCXO_STEP,                         -- ObjectKind=Pin|PrimaryId=U64-S0
        Y  => PinSignal_U64_Y                                -- ObjectKind=Pin|PrimaryId=U64-Y[31..0]
      );

    U63 : ADD32B                                             -- ObjectKind=Part|PrimaryId=U63|SecondaryId=1
      Port Map
      (
        A  => NamedSignal_OCXO_ERR,                          -- ObjectKind=Pin|PrimaryId=U63-A[31..0]
        B  => NamedSignal_OCXO_OFS,                          -- ObjectKind=Pin|PrimaryId=U63-B[31..0]
        CI => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U63-CI
        S  => PinSignal_U63_S                                -- ObjectKind=Pin|PrimaryId=U63-S[31..0]
      );

    U38 : M1_S4S1                                            -- ObjectKind=Part|PrimaryId=U38|SecondaryId=1
      Port Map
      (
        D0 => PinSignal_U79_O0,                              -- ObjectKind=Pin|PrimaryId=U38-D0
        D1 => PinSignal_U79_O1,                              -- ObjectKind=Pin|PrimaryId=U38-D1
        D2 => PinSignal_U79_O2,                              -- ObjectKind=Pin|PrimaryId=U38-D2
        D3 => PinSignal_U79_O3,                              -- ObjectKind=Pin|PrimaryId=U38-D3
        O  => PinSignal_U38_O,                               -- ObjectKind=Pin|PrimaryId=U38-O
        S0 => NamedSignal_UP,                                -- ObjectKind=Pin|PrimaryId=U38-S0
        S1 => PinSignal_U31_O                                -- ObjectKind=Pin|PrimaryId=U38-S1
      );

    U31 : INV                                                -- ObjectKind=Part|PrimaryId=U31|SecondaryId=1
      Port Map
      (
        I => LOS,                                            -- ObjectKind=Pin|PrimaryId=U31-I
        O => PinSignal_U31_O                                 -- ObjectKind=Pin|PrimaryId=U31-O
      );

    -- Signal Assignments
    ---------------------
    A                           <= PinSignal_U_FPGAMFO1_A; -- ObjectKind=Net|PrimaryId=A[31..0]
    ADDR                        <= PinSignal_U_FPGAMFO1_ADDR; -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    B                           <= PinSignal_U_FPGAMFO1_B; -- ObjectKind=Net|PrimaryId=B[31..0]
    CNT                         <= PinSignal_U_FPGAMFO1_CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    CNTROUT                     <= PinSignal_U_FPGAMFO1_CNTROUT; -- ObjectKind=Net|PrimaryId=CNTROUT
    CRCERR                      <= PinSignal_U_FPGAMFO1_CRCERR; -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    DAC_SCLK                    <= PinSignal_U82_O; -- ObjectKind=Net|PrimaryId=SCLK
    DAC_SO                      <= NamedSignal_DAC_SO(31); -- ObjectKind=Net|PrimaryId=DAC_SO31
    DAC_SYNC                    <= NamedSignal_CNT(22); -- ObjectKind=Net|PrimaryId=CNT22
    ERRC                        <= PinSignal_U_FPGAMFO1_ERRC; -- ObjectKind=Net|PrimaryId=ERRC[3..0]
    GPSRCV                      <= PinSignal_U_FPGAMFO1_GPSRCV; -- ObjectKind=Net|PrimaryId=GPSRCV[31..0]
    LED                         <= PinSignal_U38_O; -- ObjectKind=Net|PrimaryId=NetU38_O
    LED_OCXO                    <= PinSignal_U83_O; -- ObjectKind=Net|PrimaryId=NetU83_O
    NamedSignal_1PPSIN          <= PinSignal_U_FPGAMFO1_1PPSIN; -- ObjectKind=Net|PrimaryId=1PPSIN
    NamedSignal_1PPSOUT         <= PinSignal_U_FPGAMFO1_1PPSOUT; -- ObjectKind=Net|PrimaryId=1PPSOUT
    NamedSignal_BIT_CLK         <= NamedSignal_CNT(16); -- ObjectKind=Net|PrimaryId=CNT16
    NamedSignal_CLK             <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CNT             <= PinSignal_U_FPGAMFO1_CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_D(23 downto 8)  <= PinSignal_U76_Q; -- ObjectKind=Net|PrimaryId=D[23..0]
    NamedSignal_D(31 downto 24) <= NamedSignal_GND2_BUS; -- ObjectKind=Net|PrimaryId=D[31..24]
    NamedSignal_D(7 downto 0)   <= NamedSignal_GND3_BUS; -- ObjectKind=Net|PrimaryId=D[7..0]
    NamedSignal_DAC_SO          <= PinSignal_U77_Q; -- ObjectKind=Net|PrimaryId=DAC_SO[31..0]
    NamedSignal_GND1_BUS        <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    NamedSignal_GND2_BUS        <= "00000000"; -- ObjectKind=Net|PrimaryId=D[31..24]
    NamedSignal_GND3_BUS        <= "00000000"; -- ObjectKind=Net|PrimaryId=D[7..0]
    NamedSignal_LDZ             <= PinSignal_U75_TC; -- ObjectKind=Net|PrimaryId=LDZ
    NamedSignal_LOS             <= LOS; -- ObjectKind=Net|PrimaryId=LOS
    NamedSignal_NOVR            <= PinSignal_U71_QN; -- ObjectKind=Net|PrimaryId=NOVR
    NamedSignal_OCXO_ADD        <= PinSignal_U64_Y; -- ObjectKind=Net|PrimaryId=OCXO_ADD[31..0]
    NamedSignal_OCXO_CTRL       <= PinSignal_PLL_Filter_OCXO_CTRL; -- ObjectKind=Net|PrimaryId=OCXO_CTRL[15..0]
    NamedSignal_OCXO_ERR        <= PinSignal_TimeDifferance1_COUNT; -- ObjectKind=Net|PrimaryId=OCXO_ERR[31..0]
    NamedSignal_OCXO_LOCKED     <= PinSignal_U219_Q; -- ObjectKind=Net|PrimaryId=OCXO_LOCKED
    NamedSignal_OCXO_OFS        <= PinSignal_U_OCXO_OFS; -- ObjectKind=Net|PrimaryId=OCXO_OFS[31..0]
    NamedSignal_OCXO_PRESENT    <= PinSignal_U_FPGAMFO1_OCXO_PRESENT; -- ObjectKind=Net|PrimaryId=OCXO_PRESENT
    NamedSignal_OCXO_STEP       <= PinSignal_U_OCXO_STEP; -- ObjectKind=Net|PrimaryId=OCXO_STEP
    NamedSignal_OVR             <= PinSignal_U71_Q; -- ObjectKind=Net|PrimaryId=OVR
    NamedSignal_REF1PPS         <= REF1PPS; -- ObjectKind=Net|PrimaryId=REF1PPS
    NamedSignal_SCLK            <= PinSignal_U82_O; -- ObjectKind=Net|PrimaryId=SCLK
    NamedSignal_SYNC_CLK        <= NamedSignal_CNT(22); -- ObjectKind=Net|PrimaryId=CNT22
    NamedSignal_UP              <= PinSignal_U_FPGAMFO1_UP; -- ObjectKind=Net|PrimaryId=UP
    NamedSignal_VALID           <= PinSignal_TimeDifferance1_VALID; -- ObjectKind=Net|PrimaryId=VALID
    OCXO_CTRL                   <= PinSignal_PLL_Filter_OCXO_CTRL; -- ObjectKind=Net|PrimaryId=OCXO_CTRL[15..0]
    OCXO_ERR                    <= PinSignal_TimeDifferance1_COUNT; -- ObjectKind=Net|PrimaryId=OCXO_ERR[31..0]
    OCXO_LOCKED                 <= PinSignal_U219_Q; -- ObjectKind=Net|PrimaryId=OCXO_LOCKED
    OCXO_PRESENT                <= PinSignal_U_FPGAMFO1_OCXO_PRESENT; -- ObjectKind=Net|PrimaryId=OCXO_PRESENT
    PinSignal_U65_I             <= NamedSignal_OCXO_ERR(19 downto 12); -- ObjectKind=Net|PrimaryId=OCXO_ERR[19..0]
    PinSignal_U69_I             <= NamedSignal_OCXO_ERR(31 downto 20); -- ObjectKind=Net|PrimaryId=OCXO_ERR[31..0]
    PinSignal_U72_I             <= NamedSignal_OCXO_ERR(31 downto 20); -- ObjectKind=Net|PrimaryId=OCXO_ERR[31..0]
    PinSignal_U74_I             <= NamedSignal_OCXO_ERR(19 downto 12); -- ObjectKind=Net|PrimaryId=OCXO_ERR[19..0]
    PowerSignal_GND             <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC             <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    SYNCOUT                     <= PinSignal_U_FPGAMFO1_SYNCOUT; -- ObjectKind=Net|PrimaryId=SYNCOUT
    UP                          <= PinSignal_U_FPGAMFO1_UP; -- ObjectKind=Net|PrimaryId=UP
    UP1PPS                      <= PinSignal_TimeDifferance4_COUNT; -- ObjectKind=Net|PrimaryId=UP1PPS[31..0]
    VCO_SYNC                    <= PinSignal_U_FPGAMFO1_VCO_SYNC; -- ObjectKind=Net|PrimaryId=VCO_SYNC
    X_1PPS_LONG                 <= PinSignal_U_FPGAMFO1_1PPS_LONG; -- ObjectKind=Net|PrimaryId=1PPS_LONG
    X_1PPS_PARITY               <= PinSignal_U_FPGAMFO1_1PPS_PARITY; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    X_1PPSOUT                   <= PinSignal_U_FPGAMFO1_1PPSOUT; -- ObjectKind=Net|PrimaryId=1PPSOUT

End Structure;
------------------------------------------------------------

