------------------------------------------------------------
-- VHDL FPGAMFO5
-- 2016 7 26 16 50 21
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.16.63332
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAMFO5
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGAMFO5 Is
  port
  (
    X_1PPS_PARITY : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_PARITY
    A_CRCERR      : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=A_CRCERR[31..0]
    A_DELAY       : Out   STD_LOGIC_VECTOR(127 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=A_DELAY[127..0]
    A_DELAYERR    : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=A_DELAYERR[1..4]
    A_ERRC        : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=A_ERRC[31..0]
    A_FIXED_DELAY : Out   STD_LOGIC_VECTOR(127 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=A_FIXED_DELAY[127..0]
    A_LED         : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=A_LED[1..4]
    A_LOS         : In    STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=A_LOS[1..4]
    A_MISSING     : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=A_MISSING[1..4]
    A_SYNCIN      : In    STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=A_SYNCIN[1..4]
    A_SYNCOUT     : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=A_SYNCOUT[1..4]
    A_UP          : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=A_UP[1..4]
    ADDR          : In    STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=ADDR[31..0]
    B_CRCERR      : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=B_CRCERR[31..0]
    B_DELAY       : Out   STD_LOGIC_VECTOR(127 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=B_DELAY[127..0]
    B_DELAYERR    : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=B_DELAYERR[1..4]
    B_ERRC        : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=B_ERRC[31..0]
    B_FIXED_DELAY : Out   STD_LOGIC_VECTOR(127 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=B_FIXED_DELAY[127..0]
    B_LED         : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=B_LED[1..4]
    B_LOS         : In    STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=B_LOS[1..4]
    B_MISSING     : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=B_MISSING[1..4]
    B_SYNCIN      : In    STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=B_SYNCIN[1..4]
    B_SYNCOUT     : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=B_SYNCOUT[1..4]
    B_UP          : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=B_UP[1..4]
    C_CRCERR      : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=C_CRCERR[31..0]
    C_DELAY       : Out   STD_LOGIC_VECTOR(127 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=C_DELAY[127..0]
    C_DELAYERR    : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=C_DELAYERR[1..4]
    C_ERRC        : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=C_ERRC[31..0]
    C_FIXED_DELAY : Out   STD_LOGIC_VECTOR(127 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=C_FIXED_DELAY[127..0]
    C_LED         : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=C_LED[1..4]
    C_LOS         : In    STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=C_LOS[1..4]
    C_MISSING     : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=C_MISSING[1..4]
    C_SYNCIN      : In    STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=C_SYNCIN[1..4]
    C_SYNCOUT     : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=C_SYNCOUT[1..4]
    C_UP          : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=C_UP[1..4]
    CLK           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK
    CNT           : In    STD_LOGIC_VECTOR(25 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=CNT[25..0]
    D_CRCERR      : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=D_CRCERR[31..0]
    D_DELAY       : Out   STD_LOGIC_VECTOR(127 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=D_DELAY[127..0]
    D_DELAYERR    : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=D_DELAYERR[1..4]
    D_ERRC        : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=D_ERRC[31..0]
    D_FIXED_DELAY : Out   STD_LOGIC_VECTOR(127 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=D_FIXED_DELAY[127..0]
    D_LED         : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=D_LED[1..4]
    D_LOS         : In    STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=D_LOS[1..4]
    D_MISSING     : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=D_MISSING[1..4]
    D_SYNCIN      : In    STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=D_SYNCIN[1..4]
    D_SYNCOUT     : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=D_SYNCOUT[1..4]
    D_UP          : Out   STD_LOGIC_VECTOR(1 TO 4);          -- ObjectKind=Port|PrimaryId=D_UP[1..4]
    DO            : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=DO[7..0]
    DONE          : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=DONE
    ENABLE        : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=ENABLE
    GPS           : In    STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=GPS[31..0]
    INVSYNC       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=INVSYNC
    LEDSYNC       : In    STD_LOGIC_VECTOR(3 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=LEDSYNC[3..0]
    PREV_DI       : In    STD_LOGIC_VECTOR(7 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=PREV_DI[7..0]
    PREV_DONE     : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_DONE
    PREV_ENABLE   : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_ENABLE
    PREV_RDY      : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_RDY
    PREV_START    : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_START
    PWRSYNC       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PWRSYNC
    RDY           : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RDY
    RST           : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RST
    START         : In    STD_LOGIC                          -- ObjectKind=Port|PrimaryId=START
  );
  attribute MacroCell : boolean;

End FPGAMFO5;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAMFO5 Is
   Component ADD32B                                          -- ObjectKind=Part|PrimaryId=U139|SecondaryId=1
      port
      (
        A   : in  STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Pin|PrimaryId=U139-A[31..0]
        B   : in  STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Pin|PrimaryId=U139-B[31..0]
        CI  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U139-CI
        CO  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U139-CO
        OFL : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U139-OFL
        S   : out STD_LOGIC_VECTOR(31 downto 0)              -- ObjectKind=Pin|PrimaryId=U139-S[31..0]
      );
   End Component;

   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U141|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U141-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U141-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U141-O
      );
   End Component;

   Component AND8B                                           -- ObjectKind=Part|PrimaryId=U142|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U142-I[7..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U142-O
      );
   End Component;

   Component CB16REB                                         -- ObjectKind=Part|PrimaryId=U138|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U138-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U138-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U138-CEO
        Q   : out STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U138-Q[15..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U138-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U138-TC
      );
   End Component;

   Component FanoutAddress                                   -- ObjectKind=Sheet Symbol|PrimaryId=U_FOaddr1
      port
      (
        A   : out STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-A[31..0]
        B   : out STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-B[31..0]
        C   : out STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-C[31..0]
        D   : out STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-D[31..0]
        I   : in  STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-I[31..0]
        TOP : in  STD_LOGIC                                  -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-TOP
      );
   End Component;

   Component FD32EB                                          -- ObjectKind=Part|PrimaryId=U140|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U140-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U140-CE
        D  : in  STD_LOGIC_VECTOR(31 downto 0);              -- ObjectKind=Pin|PrimaryId=U140-D[31..0]
        Q  : out STD_LOGIC_VECTOR(31 downto 0)               -- ObjectKind=Pin|PrimaryId=U140-Q[31..0]
      );
   End Component;

   Component FPGA_STARTUP8                                   -- ObjectKind=Part|PrimaryId=U137|SecondaryId=1
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U137-CLK
        DELAY : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=U137-DELAY[7..0]
        INIT  : out STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=U137-INIT
      );
   End Component;

   Component FPGAMFO8                                        -- ObjectKind=Sheet Symbol|PrimaryId=DLYA
      port
      (
        X_1PPS_PARITY : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-1PPS_PARITY
        ADDR          : in  STD_LOGIC_VECTOR(31 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ADDR[31..0]
        CLK           : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CLK
        CNT           : in  STD_LOGIC_VECTOR(25 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CNT[25..0]
        CRCERR        : out STD_LOGIC_VECTOR(31 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CRCERR[31..0]
        DELAY         : out STD_LOGIC_VECTOR(127 downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAY[127..0]
        DELAYERR      : out STD_LOGIC_VECTOR(1 to 4);        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAYERR[1..4]
        DO            : out STD_LOGIC_VECTOR(7 downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DO[7..0]
        DONE          : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DONE
        ENABLE        : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ENABLE
        ERRC          : out STD_LOGIC_VECTOR(31 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ERRC[31..0]
        FIXED_DELAY   : out STD_LOGIC_VECTOR(127 downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-FIXED_DELAY[127..0]
        GPS           : in  STD_LOGIC_VECTOR(31 downto 0);   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-GPS[31..0]
        LED           : out STD_LOGIC_VECTOR(1 to 4);        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LED[1..4]
        LEDSYNC       : in  STD_LOGIC_VECTOR(3 downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LEDSYNC[3..0]
        LOS           : in  STD_LOGIC_VECTOR(1 to 4);        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LOS[1..4]
        MISSING       : out STD_LOGIC_VECTOR(1 to 4);        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-MISSING[1..4]
        PREV_DI       : in  STD_LOGIC_VECTOR(7 downto 0);    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DI[7..0]
        PREV_DONE     : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DONE
        PREV_ENABLE   : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_ENABLE
        PREV_RDY      : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_RDY
        PREV_START    : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_START
        RDY           : out STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RDY
        RST           : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RST
        START         : in  STD_LOGIC;                       -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-START
        SYNCIN        : in  STD_LOGIC_VECTOR(1 to 4);        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCIN[1..4]
        SYNCOUT       : out STD_LOGIC_VECTOR(1 to 4);        -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCOUT[1..4]
        UP            : out STD_LOGIC_VECTOR(1 to 4)         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-UP[1..4]
      );
   End Component;


    Signal NamedSignal_1PPS_PARITY    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    Signal NamedSignal_ADDRA          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDRA[31..0]
    Signal NamedSignal_ADDRB          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDRB[31..0]
    Signal NamedSignal_ADDRC          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDRC[31..0]
    Signal NamedSignal_ADDRD          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDRD[31..0]
    Signal NamedSignal_CLK            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CNT            : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=CNT[24..0]
    Signal NamedSignal_GND1_BUS       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    Signal NamedSignal_GPS            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal NamedSignal_LEDSYNC        : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=LEDSYNC[3..0]
    Signal NamedSignal_Q              : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=Q[15..0]
    Signal NamedSignal_RST            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal NamedSignal_VCC1_BUS       : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    Signal PinSignal_DLYA_CRCERR      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=A_CRCERR[31..0]
    Signal PinSignal_DLYA_DELAY       : STD_LOGIC_VECTOR(127 downto 0); -- ObjectKind=Net|PrimaryId=A_DELAY[127..0]
    Signal PinSignal_DLYA_DELAYERR    : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=A_DELAYERR[1..4]
    Signal PinSignal_DLYA_DO          : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DO
    Signal PinSignal_DLYA_DONE        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_DLYA_ERRC        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=A_ERRC[31..0]
    Signal PinSignal_DLYA_FIXED_DELAY : STD_LOGIC_VECTOR(127 downto 0); -- ObjectKind=Net|PrimaryId=A_FIXED_DELAY[127..0]
    Signal PinSignal_DLYA_LED         : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=A_LED[1..4]
    Signal PinSignal_DLYA_MISSING     : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=A_MISSING[1..4]
    Signal PinSignal_DLYA_PREV_ENABLE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_ENABLE
    Signal PinSignal_DLYA_PREV_START  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_START
    Signal PinSignal_DLYA_RDY         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_DLYA_SYNCOUT     : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=A_SYNCOUT[1..4]
    Signal PinSignal_DLYA_UP          : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=A_UP[1..4]
    Signal PinSignal_DLYB_CRCERR      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=B_CRCERR[31..0]
    Signal PinSignal_DLYB_DELAY       : STD_LOGIC_VECTOR(127 downto 0); -- ObjectKind=Net|PrimaryId=B_DELAY[127..0]
    Signal PinSignal_DLYB_DELAYERR    : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=B_DELAYERR[1..4]
    Signal PinSignal_DLYB_DO          : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DO
    Signal PinSignal_DLYB_DONE        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_DLYB_ERRC        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=B_ERRC[31..0]
    Signal PinSignal_DLYB_FIXED_DELAY : STD_LOGIC_VECTOR(127 downto 0); -- ObjectKind=Net|PrimaryId=B_FIXED_DELAY[127..0]
    Signal PinSignal_DLYB_LED         : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=B_LED[1..4]
    Signal PinSignal_DLYB_MISSING     : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=B_MISSING[1..4]
    Signal PinSignal_DLYB_PREV_ENABLE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ENABLE
    Signal PinSignal_DLYB_PREV_START  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=START
    Signal PinSignal_DLYB_RDY         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_DLYB_SYNCOUT     : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=B_SYNCOUT[1..4]
    Signal PinSignal_DLYB_UP          : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=B_UP[1..4]
    Signal PinSignal_DLYC_CRCERR      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=C_CRCERR[31..0]
    Signal PinSignal_DLYC_DELAY       : STD_LOGIC_VECTOR(127 downto 0); -- ObjectKind=Net|PrimaryId=C_DELAY[127..0]
    Signal PinSignal_DLYC_DELAYERR    : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=C_DELAYERR[1..4]
    Signal PinSignal_DLYC_DO          : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DO
    Signal PinSignal_DLYC_DONE        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_DLYC_ERRC        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=C_ERRC[31..0]
    Signal PinSignal_DLYC_FIXED_DELAY : STD_LOGIC_VECTOR(127 downto 0); -- ObjectKind=Net|PrimaryId=C_FIXED_DELAY[127..0]
    Signal PinSignal_DLYC_LED         : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=C_LED[1..4]
    Signal PinSignal_DLYC_MISSING     : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=C_MISSING[1..4]
    Signal PinSignal_DLYC_PREV_ENABLE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ENABLE
    Signal PinSignal_DLYC_PREV_START  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=START
    Signal PinSignal_DLYC_RDY         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_DLYC_SYNCOUT     : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=C_SYNCOUT[1..4]
    Signal PinSignal_DLYC_UP          : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=C_UP[1..4]
    Signal PinSignal_DLYD_CRCERR      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=D_CRCERR[31..0]
    Signal PinSignal_DLYD_DELAY       : STD_LOGIC_VECTOR(127 downto 0); -- ObjectKind=Net|PrimaryId=D_DELAY[127..0]
    Signal PinSignal_DLYD_DELAYERR    : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=D_DELAYERR[1..4]
    Signal PinSignal_DLYD_DO          : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DO[7..0]
    Signal PinSignal_DLYD_DONE        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_DLYD_ERRC        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=D_ERRC[31..0]
    Signal PinSignal_DLYD_FIXED_DELAY : STD_LOGIC_VECTOR(127 downto 0); -- ObjectKind=Net|PrimaryId=D_FIXED_DELAY[127..0]
    Signal PinSignal_DLYD_LED         : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=D_LED[1..4]
    Signal PinSignal_DLYD_MISSING     : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=D_MISSING[1..4]
    Signal PinSignal_DLYD_PREV_ENABLE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ENABLE
    Signal PinSignal_DLYD_PREV_START  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=START
    Signal PinSignal_DLYD_RDY         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_DLYD_SYNCOUT     : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=D_SYNCOUT[1..4]
    Signal PinSignal_DLYD_UP          : STD_LOGIC_VECTOR(1 to 4); -- ObjectKind=Net|PrimaryId=D_UP[1..4]
    Signal PinSignal_U_FOaddr1_A      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDRA[31..0]
    Signal PinSignal_U_FOaddr1_B      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDRB[31..0]
    Signal PinSignal_U_FOaddr1_C      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDRC[31..0]
    Signal PinSignal_U_FOaddr1_D      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDRD[31..0]
    Signal PinSignal_U137_INIT        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal PinSignal_U138_Q           : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=Q[15..0]
    Signal PinSignal_U139_S           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal PinSignal_U140_Q           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU139_A[31..0]
    Signal PinSignal_U141_O           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU140_CE
    Signal PinSignal_U142_I           : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=CNT[24..0]
    Signal PinSignal_U142_O           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU141_I1
    Signal PowerSignal_GND            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U_FOaddr1 : FanoutAddress                                -- ObjectKind=Sheet Symbol|PrimaryId=U_FOaddr1
      Port Map
      (
        A   => PinSignal_U_FOaddr1_A,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-A[31..0]
        B   => PinSignal_U_FOaddr1_B,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-B[31..0]
        C   => PinSignal_U_FOaddr1_C,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-C[31..0]
        D   => PinSignal_U_FOaddr1_D,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-D[31..0]
        I   => ADDR,                                         -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-I[31..0]
        TOP => PowerSignal_VCC                               -- ObjectKind=Sheet Entry|PrimaryId=FanoutAddress.Vhd-TOP
      );

    DLYD : FPGAMFO8                                          -- ObjectKind=Sheet Symbol|PrimaryId=DLYD
      Port Map
      (
        X_1PPS_PARITY => NamedSignal_1PPS_PARITY,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-1PPS_PARITY
        ADDR          => NamedSignal_ADDRD,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ADDR[31..0]
        CLK           => NamedSignal_CLK,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CLK
        CNT           => NamedSignal_CNT,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CNT[25..0]
        CRCERR        => PinSignal_DLYD_CRCERR,              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CRCERR[31..0]
        DELAY         => PinSignal_DLYD_DELAY,               -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAY[127..0]
        DELAYERR      => PinSignal_DLYD_DELAYERR,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAYERR[1..4]
        DO            => PinSignal_DLYD_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DO[7..0]
        DONE          => PinSignal_DLYD_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DONE
        ENABLE        => ENABLE,                             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ENABLE
        ERRC          => PinSignal_DLYD_ERRC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ERRC[31..0]
        FIXED_DELAY   => PinSignal_DLYD_FIXED_DELAY,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-FIXED_DELAY[127..0]
        GPS           => NamedSignal_GPS,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-GPS[31..0]
        LED           => PinSignal_DLYD_LED,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LED[1..4]
        LEDSYNC       => NamedSignal_LEDSYNC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LEDSYNC[3..0]
        LOS           => D_LOS,                              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LOS[1..4]
        MISSING       => PinSignal_DLYD_MISSING,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-MISSING[1..4]
        PREV_DI       => PinSignal_DLYC_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DI[7..0]
        PREV_DONE     => PinSignal_DLYC_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DONE
        PREV_ENABLE   => PinSignal_DLYD_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_ENABLE
        PREV_RDY      => PinSignal_DLYC_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_RDY
        PREV_START    => PinSignal_DLYD_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_START
        RDY           => PinSignal_DLYD_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RDY
        RST           => NamedSignal_RST,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RST
        START         => START,                              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-START
        SYNCIN        => D_SYNCIN,                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCIN[1..4]
        SYNCOUT       => PinSignal_DLYD_SYNCOUT,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCOUT[1..4]
        UP            => PinSignal_DLYD_UP                   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-UP[1..4]
      );

    DLYC : FPGAMFO8                                          -- ObjectKind=Sheet Symbol|PrimaryId=DLYC
      Port Map
      (
        X_1PPS_PARITY => NamedSignal_1PPS_PARITY,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-1PPS_PARITY
        ADDR          => NamedSignal_ADDRC,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ADDR[31..0]
        CLK           => NamedSignal_CLK,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CLK
        CNT           => NamedSignal_CNT,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CNT[25..0]
        CRCERR        => PinSignal_DLYC_CRCERR,              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CRCERR[31..0]
        DELAY         => PinSignal_DLYC_DELAY,               -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAY[127..0]
        DELAYERR      => PinSignal_DLYC_DELAYERR,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAYERR[1..4]
        DO            => PinSignal_DLYC_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DO[7..0]
        DONE          => PinSignal_DLYC_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DONE
        ENABLE        => PinSignal_DLYD_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ENABLE
        ERRC          => PinSignal_DLYC_ERRC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ERRC[31..0]
        FIXED_DELAY   => PinSignal_DLYC_FIXED_DELAY,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-FIXED_DELAY[127..0]
        GPS           => NamedSignal_GPS,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-GPS[31..0]
        LED           => PinSignal_DLYC_LED,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LED[1..4]
        LEDSYNC       => NamedSignal_LEDSYNC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LEDSYNC[3..0]
        LOS           => C_LOS,                              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LOS[1..4]
        MISSING       => PinSignal_DLYC_MISSING,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-MISSING[1..4]
        PREV_DI       => PinSignal_DLYB_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DI[7..0]
        PREV_DONE     => PinSignal_DLYB_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DONE
        PREV_ENABLE   => PinSignal_DLYC_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_ENABLE
        PREV_RDY      => PinSignal_DLYB_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_RDY
        PREV_START    => PinSignal_DLYC_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_START
        RDY           => PinSignal_DLYC_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RDY
        RST           => NamedSignal_RST,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RST
        START         => PinSignal_DLYD_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-START
        SYNCIN        => C_SYNCIN,                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCIN[1..4]
        SYNCOUT       => PinSignal_DLYC_SYNCOUT,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCOUT[1..4]
        UP            => PinSignal_DLYC_UP                   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-UP[1..4]
      );

    DLYB : FPGAMFO8                                          -- ObjectKind=Sheet Symbol|PrimaryId=DLYB
      Port Map
      (
        X_1PPS_PARITY => NamedSignal_1PPS_PARITY,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-1PPS_PARITY
        ADDR          => NamedSignal_ADDRB,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ADDR[31..0]
        CLK           => NamedSignal_CLK,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CLK
        CNT           => NamedSignal_CNT,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CNT[25..0]
        CRCERR        => PinSignal_DLYB_CRCERR,              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CRCERR[31..0]
        DELAY         => PinSignal_DLYB_DELAY,               -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAY[127..0]
        DELAYERR      => PinSignal_DLYB_DELAYERR,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAYERR[1..4]
        DO            => PinSignal_DLYB_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DO[7..0]
        DONE          => PinSignal_DLYB_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DONE
        ENABLE        => PinSignal_DLYC_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ENABLE
        ERRC          => PinSignal_DLYB_ERRC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ERRC[31..0]
        FIXED_DELAY   => PinSignal_DLYB_FIXED_DELAY,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-FIXED_DELAY[127..0]
        GPS           => NamedSignal_GPS,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-GPS[31..0]
        LED           => PinSignal_DLYB_LED,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LED[1..4]
        LEDSYNC       => NamedSignal_LEDSYNC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LEDSYNC[3..0]
        LOS           => B_LOS,                              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LOS[1..4]
        MISSING       => PinSignal_DLYB_MISSING,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-MISSING[1..4]
        PREV_DI       => PinSignal_DLYA_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DI[7..0]
        PREV_DONE     => PinSignal_DLYA_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DONE
        PREV_ENABLE   => PinSignal_DLYB_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_ENABLE
        PREV_RDY      => PinSignal_DLYA_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_RDY
        PREV_START    => PinSignal_DLYB_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_START
        RDY           => PinSignal_DLYB_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RDY
        RST           => NamedSignal_RST,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RST
        START         => PinSignal_DLYC_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-START
        SYNCIN        => B_SYNCIN,                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCIN[1..4]
        SYNCOUT       => PinSignal_DLYB_SYNCOUT,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCOUT[1..4]
        UP            => PinSignal_DLYB_UP                   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-UP[1..4]
      );

    DLYA : FPGAMFO8                                          -- ObjectKind=Sheet Symbol|PrimaryId=DLYA
      Port Map
      (
        X_1PPS_PARITY => X_1PPS_PARITY,                      -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-1PPS_PARITY
        ADDR          => NamedSignal_ADDRA,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ADDR[31..0]
        CLK           => CLK,                                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CLK
        CNT           => CNT,                                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CNT[25..0]
        CRCERR        => PinSignal_DLYA_CRCERR,              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-CRCERR[31..0]
        DELAY         => PinSignal_DLYA_DELAY,               -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAY[127..0]
        DELAYERR      => PinSignal_DLYA_DELAYERR,            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DELAYERR[1..4]
        DO            => PinSignal_DLYA_DO,                  -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DO[7..0]
        DONE          => PinSignal_DLYA_DONE,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-DONE
        ENABLE        => PinSignal_DLYB_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ENABLE
        ERRC          => PinSignal_DLYA_ERRC,                -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-ERRC[31..0]
        FIXED_DELAY   => PinSignal_DLYA_FIXED_DELAY,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-FIXED_DELAY[127..0]
        GPS           => NamedSignal_GPS,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-GPS[31..0]
        LED           => PinSignal_DLYA_LED,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LED[1..4]
        LEDSYNC       => LEDSYNC,                            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LEDSYNC[3..0]
        LOS           => A_LOS,                              -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-LOS[1..4]
        MISSING       => PinSignal_DLYA_MISSING,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-MISSING[1..4]
        PREV_DI       => PREV_DI,                            -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DI[7..0]
        PREV_DONE     => PREV_DONE,                          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_DONE
        PREV_ENABLE   => PinSignal_DLYA_PREV_ENABLE,         -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_ENABLE
        PREV_RDY      => PREV_RDY,                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_RDY
        PREV_START    => PinSignal_DLYA_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-PREV_START
        RDY           => PinSignal_DLYA_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RDY
        RST           => NamedSignal_RST,                    -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-RST
        START         => PinSignal_DLYB_PREV_START,          -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-START
        SYNCIN        => A_SYNCIN,                           -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCIN[1..4]
        SYNCOUT       => PinSignal_DLYA_SYNCOUT,             -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-SYNCOUT[1..4]
        UP            => PinSignal_DLYA_UP                   -- ObjectKind=Sheet Entry|PrimaryId=FPGAMFO8.SchDoc-UP[1..4]
      );

    U142 : AND8B                                             -- ObjectKind=Part|PrimaryId=U142|SecondaryId=1
      Port Map
      (
        I => PinSignal_U142_I,                               -- ObjectKind=Pin|PrimaryId=U142-I[7..0]
        O => PinSignal_U142_O                                -- ObjectKind=Pin|PrimaryId=U142-O
      );

    U141 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U141|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CNT(25),                           -- ObjectKind=Pin|PrimaryId=U141-I0
        I1 => PinSignal_U142_O,                              -- ObjectKind=Pin|PrimaryId=U141-I1
        O  => PinSignal_U141_O                               -- ObjectKind=Pin|PrimaryId=U141-O
      );

    U140 : FD32EB                                            -- ObjectKind=Part|PrimaryId=U140|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U140-C
        CE => PinSignal_U141_O,                              -- ObjectKind=Pin|PrimaryId=U140-CE
        D  => GPS,                                           -- ObjectKind=Pin|PrimaryId=U140-D[31..0]
        Q  => PinSignal_U140_Q                               -- ObjectKind=Pin|PrimaryId=U140-Q[31..0]
      );

    U139 : ADD32B                                            -- ObjectKind=Part|PrimaryId=U139|SecondaryId=1
      Port Map
      (
        A  => PinSignal_U140_Q,                              -- ObjectKind=Pin|PrimaryId=U139-A[31..0]
        B  => NamedSignal_GND1_BUS,                          -- ObjectKind=Pin|PrimaryId=U139-B[31..0]
        CI => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U139-CI
        S  => PinSignal_U139_S                               -- ObjectKind=Pin|PrimaryId=U139-S[31..0]
      );

    U138 : CB16REB                                           -- ObjectKind=Part|PrimaryId=U138|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U138-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U138-CE
        Q  => PinSignal_U138_Q,                              -- ObjectKind=Pin|PrimaryId=U138-Q[15..0]
        R  => PowerSignal_GND                                -- ObjectKind=Pin|PrimaryId=U138-R
      );

    U137 : FPGA_STARTUP8                                     -- ObjectKind=Part|PrimaryId=U137|SecondaryId=1
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Pin|PrimaryId=U137-CLK
        DELAY => NamedSignal_VCC1_BUS,                       -- ObjectKind=Pin|PrimaryId=U137-DELAY[7..0]
        INIT  => PinSignal_U137_INIT                         -- ObjectKind=Pin|PrimaryId=U137-INIT
      );

    -- Signal Assignments
    ---------------------
    A_CRCERR                <= PinSignal_DLYA_CRCERR; -- ObjectKind=Net|PrimaryId=A_CRCERR[31..0]
    A_DELAY                 <= PinSignal_DLYA_DELAY; -- ObjectKind=Net|PrimaryId=A_DELAY[127..0]
    A_DELAYERR              <= PinSignal_DLYA_DELAYERR; -- ObjectKind=Net|PrimaryId=A_DELAYERR[1..4]
    A_ERRC                  <= PinSignal_DLYA_ERRC; -- ObjectKind=Net|PrimaryId=A_ERRC[31..0]
    A_FIXED_DELAY           <= PinSignal_DLYA_FIXED_DELAY; -- ObjectKind=Net|PrimaryId=A_FIXED_DELAY[127..0]
    A_LED                   <= PinSignal_DLYA_LED; -- ObjectKind=Net|PrimaryId=A_LED[1..4]
    A_MISSING               <= PinSignal_DLYA_MISSING; -- ObjectKind=Net|PrimaryId=A_MISSING[1..4]
    A_SYNCOUT               <= PinSignal_DLYA_SYNCOUT; -- ObjectKind=Net|PrimaryId=A_SYNCOUT[1..4]
    A_UP                    <= PinSignal_DLYA_UP; -- ObjectKind=Net|PrimaryId=A_UP[1..4]
    B_CRCERR                <= PinSignal_DLYB_CRCERR; -- ObjectKind=Net|PrimaryId=B_CRCERR[31..0]
    B_DELAY                 <= PinSignal_DLYB_DELAY; -- ObjectKind=Net|PrimaryId=B_DELAY[127..0]
    B_DELAYERR              <= PinSignal_DLYB_DELAYERR; -- ObjectKind=Net|PrimaryId=B_DELAYERR[1..4]
    B_ERRC                  <= PinSignal_DLYB_ERRC; -- ObjectKind=Net|PrimaryId=B_ERRC[31..0]
    B_FIXED_DELAY           <= PinSignal_DLYB_FIXED_DELAY; -- ObjectKind=Net|PrimaryId=B_FIXED_DELAY[127..0]
    B_LED                   <= PinSignal_DLYB_LED; -- ObjectKind=Net|PrimaryId=B_LED[1..4]
    B_MISSING               <= PinSignal_DLYB_MISSING; -- ObjectKind=Net|PrimaryId=B_MISSING[1..4]
    B_SYNCOUT               <= PinSignal_DLYB_SYNCOUT; -- ObjectKind=Net|PrimaryId=B_SYNCOUT[1..4]
    B_UP                    <= PinSignal_DLYB_UP; -- ObjectKind=Net|PrimaryId=B_UP[1..4]
    C_CRCERR                <= PinSignal_DLYC_CRCERR; -- ObjectKind=Net|PrimaryId=C_CRCERR[31..0]
    C_DELAY                 <= PinSignal_DLYC_DELAY; -- ObjectKind=Net|PrimaryId=C_DELAY[127..0]
    C_DELAYERR              <= PinSignal_DLYC_DELAYERR; -- ObjectKind=Net|PrimaryId=C_DELAYERR[1..4]
    C_ERRC                  <= PinSignal_DLYC_ERRC; -- ObjectKind=Net|PrimaryId=C_ERRC[31..0]
    C_FIXED_DELAY           <= PinSignal_DLYC_FIXED_DELAY; -- ObjectKind=Net|PrimaryId=C_FIXED_DELAY[127..0]
    C_LED                   <= PinSignal_DLYC_LED; -- ObjectKind=Net|PrimaryId=C_LED[1..4]
    C_MISSING               <= PinSignal_DLYC_MISSING; -- ObjectKind=Net|PrimaryId=C_MISSING[1..4]
    C_SYNCOUT               <= PinSignal_DLYC_SYNCOUT; -- ObjectKind=Net|PrimaryId=C_SYNCOUT[1..4]
    C_UP                    <= PinSignal_DLYC_UP; -- ObjectKind=Net|PrimaryId=C_UP[1..4]
    D_CRCERR                <= PinSignal_DLYD_CRCERR; -- ObjectKind=Net|PrimaryId=D_CRCERR[31..0]
    D_DELAY                 <= PinSignal_DLYD_DELAY; -- ObjectKind=Net|PrimaryId=D_DELAY[127..0]
    D_DELAYERR              <= PinSignal_DLYD_DELAYERR; -- ObjectKind=Net|PrimaryId=D_DELAYERR[1..4]
    D_ERRC                  <= PinSignal_DLYD_ERRC; -- ObjectKind=Net|PrimaryId=D_ERRC[31..0]
    D_FIXED_DELAY           <= PinSignal_DLYD_FIXED_DELAY; -- ObjectKind=Net|PrimaryId=D_FIXED_DELAY[127..0]
    D_LED                   <= PinSignal_DLYD_LED; -- ObjectKind=Net|PrimaryId=D_LED[1..4]
    D_MISSING               <= PinSignal_DLYD_MISSING; -- ObjectKind=Net|PrimaryId=D_MISSING[1..4]
    D_SYNCOUT               <= PinSignal_DLYD_SYNCOUT; -- ObjectKind=Net|PrimaryId=D_SYNCOUT[1..4]
    D_UP                    <= PinSignal_DLYD_UP; -- ObjectKind=Net|PrimaryId=D_UP[1..4]
    DO                      <= PinSignal_DLYD_DO; -- ObjectKind=Net|PrimaryId=DO[7..0]
    DONE                    <= PinSignal_DLYD_DONE; -- ObjectKind=Net|PrimaryId=DONE
    INVSYNC                 <= NamedSignal_Q(10); -- ObjectKind=Net|PrimaryId=Q10
    NamedSignal_1PPS_PARITY <= X_1PPS_PARITY; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    NamedSignal_ADDRA       <= PinSignal_U_FOaddr1_A; -- ObjectKind=Net|PrimaryId=ADDRA[31..0]
    NamedSignal_ADDRB       <= PinSignal_U_FOaddr1_B; -- ObjectKind=Net|PrimaryId=ADDRB[31..0]
    NamedSignal_ADDRC       <= PinSignal_U_FOaddr1_C; -- ObjectKind=Net|PrimaryId=ADDRC[31..0]
    NamedSignal_ADDRD       <= PinSignal_U_FOaddr1_D; -- ObjectKind=Net|PrimaryId=ADDRD[31..0]
    NamedSignal_CLK         <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CNT         <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_GND1_BUS    <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[31..0]
    NamedSignal_GPS         <= PinSignal_U139_S; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    NamedSignal_LEDSYNC     <= LEDSYNC; -- ObjectKind=Net|PrimaryId=LEDSYNC[3..0]
    NamedSignal_Q           <= PinSignal_U138_Q; -- ObjectKind=Net|PrimaryId=Q[15..0]
    NamedSignal_RST         <= PinSignal_U137_INIT; -- ObjectKind=Net|PrimaryId=RST
    NamedSignal_VCC1_BUS    <= "11111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    PinSignal_U142_I        <= NamedSignal_CNT(24 downto 17); -- ObjectKind=Net|PrimaryId=CNT[24..0]
    PowerSignal_GND         <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC         <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    PREV_ENABLE             <= PinSignal_DLYA_PREV_ENABLE; -- ObjectKind=Net|PrimaryId=PREV_ENABLE
    PREV_START              <= PinSignal_DLYA_PREV_START; -- ObjectKind=Net|PrimaryId=PREV_START
    PWRSYNC                 <= NamedSignal_Q(8); -- ObjectKind=Net|PrimaryId=Q8
    RDY                     <= PinSignal_DLYD_RDY; -- ObjectKind=Net|PrimaryId=RDY
    RST                     <= PinSignal_U137_INIT; -- ObjectKind=Net|PrimaryId=RST

End Structure;
------------------------------------------------------------

